**v7.4.2**
----------

**Changes to L4CMDL:**

- New RIP file parameter: `L4C_LITTERFALL_SCHEME = CONSTANT|SCHEDULED`
- New RIP file parameter: `L4C_LITTERFALL_FILE_TPL`, which takes on a file path template
- Two new attributes of the session control parameter: `sesCtl_p->litterfallFileTemplate`, `sesCtl_p->litterfallScheme`
- Added `litter_rate` to the `struct` `tagEcoStateArrayAdt`
- In `l4c_DAILY_ses.C`, now checking that the `sesCtl_p->litterfallFileTemplate` file for the first period, `P01`, exists.
- In `l4c_DAILY_PreProcessor.c`, now allocating memory for and loading litterfall allocation rate as `ecoStateArrayObj_p->litter_rate`
- Updated `l4c_ModDriverGrid_forwardStep()` in `l4c_DAILY_ForwardStep.c` to allow for a scheduled litterfall allocation instead of a constant daily fraction.


**v7.4.0**
----------

**Changes to L4CMOD:**

- *Changes to RIP files:*
  - `L4C_MODIS_SOFTWARE_VERSION` is renamed to `L4CMOD_SOFTWARE_VERSION`.
  - `L4C_SW_VERSION` is renamed to `L4CMOD_SW_VERSION`.
  - `L4C_DATASET_VERSION` is renamed to `L4CMOD_DATASET_VERSION`.
  - `L4C_RUN_MODE` is renamed to `L4CMOD_RUN_MODE`.
  - `L4C_MODIS_COLLECTION_USED` is renamed to `L4CMOD_COLLECTION_USED`.
  - `L4C_GPP_SOURCE` is DEPRECATED.
  - New name-value pair (NVP): `L4CMOD_FPAR_RESOLUTION_METERS`. It is not anticipated that this NVP will ever be set to anything other than "500" (500 meters).
  - New name-value pair (NVP): `L4CMOD_INSTRUMENT`. *This is how VIIRS versus MODIS fPAR is specified;* choices are "VIIRS" or "MODIS".
  - `L4C_MODIS_GRID_NAME` is renamed to `L4CMOD_GRID_NAME`.
  - `L4C_COMPRESSION_LEVEL` is DEPRECATED.
  - `L4C_MODEL_YEAR` is renamed to `L4CMOD_MODEL_YEAR`.
  - `L4C_MODEL_YEARDAY` is renamed to `L4CMOD_MODEL_YEARDAY`.
  - `L4C_MODEL_PERIOD` is renamed to `L4CMOD_MODEL_PERIOD`.
  - `L4C_INPUT_MODIS_ANCILLARY_ROOTDIR` is renamed to `L4CMOD_INPUT_ANCILLARY_ROOTDIR`.
  - `L4C_INPUT_MODIS_ANCILLARY_PATH` is renamed to `L4CMOD_INPUT_ANCILLARY_PATH`.
  - `L4C_INPUT_MODIS_ROOTDIR` is renamed to `L4CMOD_INPUT_ROOTDIR`.
  - `L4C_OUTPUT_MODIS_ROOTDIR` is renamed to `L4CMOD_OUTPUT_ROOTDIR`.
  - `L4C_OUTPUT_LOG_ROOTDIR` is renamed to `L4CMOD_OUTPUT_LOG_ROOTDIR`.
  - `L4C_OUTPUT_MODIS_PATH` is renamed to `L4CMOD_OUTPUT_MODIS_PATH`.
  - `L4C_INPUT_DATASET_MODIS_FPAR` is renamed to `L4CMOD_INPUT_DATASET_FPAR`.
  - `L4C_INPUT_DATASET_MODIS_FPAR_QC` is renamed to `L4CMOD_INPUT_DATASET_FPAR_QC`.
  - `L4C_INPUT_DATASET_MODIS_FPAR_QC_EXTRA` is renamed to `L4CMOD_INPUT_DATASET_FPAR_QC_EXTRA`; this field describes the field name in the MOD15A2H/ VNP15A2H granule corresponding to the "extra" QC information ("FparExtra_QC").
  - `L4C_INPUT_MODIS_VARLIST_NDVI` and `L4C_INPUT_MODIS_VARLIST_FPAR` are deprecated.
  - `L4C_INPUT_DATASET_VIIRS_NDVI` and `L4C_INPUT_DATASET_VIIRS_NDVI_QC` are deprecated.
  - `L4C_OUTPUT_DATASET_VIIRS_NDVI` and `L4C_OUTPUT_DATASET_VIIRS_NDVI_QC` are deprecated.
  - `L4C_OUTPUT_DATASET_MODIS_FPAR` is renamed to `L4CMOD_OUTPUT_DATASET_FPAR`.
  - `L4C_OUTPUT_DATASET_MODIS_FPAR` is renamed to `L4CMOD_OUTPUT_DATASET_FPAR`.
  - `L4C_OUTPUT_DATASET_MODIS_FPAR_QC` is renamed to `L4CMOD_OUTPUT_DATASET_FPAR_QC`.
  - New name-value pair (NVP): `L4CMOD_INPUT_GRANULE_COUNT`, which is the count of input MOD15A2H or VNP15A2H granules.
  - `L4C_INPUT_MODIS_FPAR_GRANULE` is renamed to `L4CMOD_INPUT_GRANULE_NAME`.
- *Changes to output HDF5 granules:*
  - `INPUTPOINTER_MODIS_XXX` root attributes, which point to the individual ~286 input MOD15A2H files, are renamed `INPUTPOINTER_FPAR_XXX`.
  - `L4_C_MODIS_OUTPUT_GRANULE` root attribute is renamed `L4_C_FPAR_OUTPUT_GRANULE`
  - `Source` root attribute, which was previously "TBD", now takes on the value "VIIRS" when VIIRS fPAR data are used and otherwise is "MODIS".
  - The `fpar_qc_M01` field is computed differently when VIIRS fPAR data are used. In that case, a synthetic QC value is constructed that reflects only the upstream VNP15A2H QC bits related to the retrieval quality and cloud confidence. All other bits are set to zero.

**Changes to L4CMDL:**

- *Changes to output HDF5 granules:*
  - The data field `Metadata/Source/MODIS_FPAR` has been changed to `Metadata/Source/FPAR`. This change was made to the code that creates this HDF5 group but as the `Metadata` group is not written to the output file (this is instead done by a GMAO post-processor), this change may be insubstantial.
  - A new root attribute has been added, `L4C_FPAR_SOURCE`, which is set to "VIIRS" when VIIRS fPAR is used and "MODIS" otherwise.
  - The computed value of `QA/carbon_model_bitflag` bit 13 is changed. It is now set to 1 when VIIRS fPAR is used and 0 otherwise.
  - The `legend_carbon_model_bitflag` attribute on the `QA/carbon_model_bitflag` field has been changed to reflect the changed meaning of that field:
```
# Old lines:
07    GPP method    12 - 12         (1)   {0|1}        0=used MODIS FPAR,1=used FPAR climatology
08    NDVI method   13 - 13         (1)   {0|1}        0=used FPAR or FPAR clim, 1=used NDVI

# Changes:
07    GPP method    12 - 12         (1)   {0|1}        0=used observed fPAR,1=used fPAR climatology
08    fPAR source   13 - 13         (1)   {0|1}        0=used MODIS fPAR,1=used VIIRS fPAR
```
