// ---------------------------------------------------------------
// subsystem    : NASA SMAP L4_C
// module       : l4c_MODIS.c
// invocation   : ./l4c_MODIS.ex
// purpose      : main source, for l4c_MODIS
// project      : SMAP L4C science development.
// dependencies : HDF4, HDFEOS library, HDF5 library
// revision     : 2014-07-28T11:09:00, for D5+ (v5.0.1 and higher)
// history      : 2014-05-01T16:57:00, for D5+ (v5.0.1 and higher)
// history      : 2013-11-11T22:58, cleaned up unused variables.
// history      : 2013-11-04T17:52:00-07:00, integration pass 2
// author       : jglassy
// research code: lucas jones, 09/10/2013
// notes        : n/a
// ---------------------------------------------------------------



// -----header files----------------------------------------------
#include "l4c_MODIS.h"
#include "l4c_MODIS_prot.h"


// ---------------------------------------------------------------
// main()
int main(int argc, char *argv[])
{
  
	// Initialize session and logfile  
	l4c_InitSession(argc, argv);

	// Execute main logic
	l4c_MODIS_Driver();

	// CLOSE OUT THE SESSSION
	l4c_CloseSession( l4c_GetSesCtl() );

  return(EXIT_SUCCESS);

} // end::main()



